Outil de développement

HTML Purifier

Sécuriser l’affichage de certains textes

Préfixe : htmlpurifier
Utilisé dans 11 sites
Mis à jour le 25 novembre 2019
SPIP 3.2

5.0.0.5 en développement

Télécharger

Mis à jour le 25 novembre 2019

Compatible :
  • SPIP 3.2

Ce plugin propose de remplacer SafeHTML (plus maintenue depuis plusieurs années), par HTML Purifier, une librairie moderne et bien maintenue. SPIP utilise en interne la librairie SafeHTML pour sécuriser l’affichage des textes qui proviennent potentiellement non pas des rédacteurs, mais de visiteurs non enregistrés ou de contributeurs externes, comme les forums ou les contenus des sites syndiqués.

Attention : ce plugin nécessite PHP5 !

Fichier XML
Version
5.0.0.5
Compatiblité
SPIP ≥ 3.2.1 et ≤ 3.2.*
État
en développement
Auteur
Edward Z. Yang, Mise en plugin SPIP : RealET, Fil
Archive
htmlpurifier-ff94d-v5.0.0.5.zip
Taille
597.5 ko
Générée le
25-11-2019 19:40
Hébergée par
SPIP-Zone - Plugins
Compatible avec
TextWheel pour SPIP ≥ 0.3.1

4.10.0.1 stable

Télécharger

Mis à jour le 20 décembre 2019

Compatible :
  • SPIP 1.9
  • SPIP 2.0
  • SPIP 2.1
  • SPIP 3.0
  • SPIP 3.1
  • SPIP 3.2

Ce plugin propose de remplacer SafeHTML (plus maintenue depuis plusieurs années), par HTML Purifier, une librairie moderne et bien maintenue. SPIP utilise en interne la librairie SafeHTML pour sécuriser l’affichage des textes qui proviennent potentiellement non pas des rédacteurs, mais de visiteurs non enregistrés ou de contributeurs externes, comme les forums ou les contenus des sites syndiqués.

Attention : ce plugin nécessite PHP5 !

Fichier XML
Version
4.10.0.1
Compatiblité
SPIP ≥ 1.9.0 et ≤ 3.2.*
État
stable
Auteur
Edward Z. Yang, Mise en plugin SPIP : RealET, Fil
Archive
htmlpurifier.zip
Taille
292.9 ko
Générée le
20-12-2019 12:26
Hébergée par
SPIP-Zone - Plugins

4.10.0.1 stable

Télécharger

Mis à jour le 3 novembre 2018

Compatible :
  • SPIP 1.9
  • SPIP 2.0
  • SPIP 2.1
  • SPIP 3.0
  • SPIP 3.1
  • SPIP 3.2

Ce plugin propose de remplacer SafeHTML (plus maintenue depuis plusieurs années), par HTML Purifier, une librairie moderne et bien maintenue. SPIP utilise en interne la librairie SafeHTML pour sécuriser l’affichage des textes qui proviennent potentiellement non pas des rédacteurs, mais de visiteurs non enregistrés ou de contributeurs externes, comme les forums ou les contenus des sites syndiqués.

Attention : ce plugin nécessite PHP5 !

Fichier XML
Version
4.10.0.1
Compatiblité
SPIP ≥ 1.9.0 et ≤ 3.2.*
État
stable
Auteur
Edward Z. Yang, Mise en plugin SPIP : RealET, Fil
Archive
htmlpurifier-ff94d-htmlpurifier-v1.zip
Taille
297.6 ko
Générée le
03-11-2018 09:17
Hébergée par
SPIP-Zone - Plugins

Dernières modifications

Information non disponible

Messages de forum

  • 12 mars 2018 : Autre problème rencontré : le code affiché dans une balise et coloré avec le plugin « coloration (...)
  • 25 septembre 2017 : Un problème rencontré avec cette librairie : les éléments SPIP cadre traduits en balise HTML (...)
  • 5 février 2012 : J’utilise la librairie HTML Purifier sur une solution de gestion de contenu (Site web : 3w (...)
  • 12 août 2011 : Bonjour, Développant une partie en wiki (grâce aux plugins autorité et crayons), j’ai voulu (...)
  • 10 janvier 2011 : Ce plugin existe bien sous ce nom-là, mais il n’est pas encore documenté !
  • 10 janvier 2011 : « notre plugin utilise le plugin Mémoization » je ne trouve pas de plugin avec ce nom, je suppose (...)
  • 6 janvier 2011 : ce n’est pas si évident : il nous faudrait plus de retours d’utilisation, notammnt avec (...)
  • 6 janvier 2011 : Surement que la prochaine version de Spip l’intégrera dans ses extensions !? (...)